Package twisted :: Package protocols :: Module imap4 :: Class MemoryAccount

[frames | no frames]

## Class MemoryAccount

    Perspective --+
                  |
                 MemoryAccount

Method Summary
| `__init__(self, name)`
| `_emptyMailbox(self, name, id)`
| `_inferiorNames(self, name)`
| `addMailbox(self, name, mbox)`
| `allocateID(self)`
| `create(self, pathspec)`
| `delete(self, name)`
| `getOtherNamespaces(self)`
| `getPersonalNamespaces(self)`
| `getSharedNamespaces(self)`
| `isSubscribed(self, name)`
| `listMailboxes(self, ref, wildcard)`
| `rename(self, oldname, newname)`
| `select(self, name, readwrite)`
| `subscribe(self, name)`
| `unsubscribe(self, name)`
Inherited from Perspective
| ``attached`(self, reference, identity)` Called when a remote reference is 'attached' to me.
| ``detached`(self, reference, identity)` Called when a broker is 'detached' from me.
| ``getIdentityRequest`(self)` Request my identity.
| ``getPerspectiveName`(self)` Return the unique name of this perspective.
| ``getService`(self)` Return a service.
| ``isCached`(self)`
| ``makeIdentity`(self, password)` Make an identity from this perspective with a password.
| ``setCached`(self)`
| ``setIdentity`(self, ident)` Determine which identity I connect to.
| ``setIdentityName`(self, name)`
| ``setService`(self, service)` Change what service I am a part of.

Class Variable Summary
`tuple` | `__implements__` = `((<class twisted.cred.perspective.IPers...`
`NoneType` | `mailboxes` = None
`NoneType` | `subscriptions` = None
`int` | `top_id` = 0
Inherited from Perspective
`int` | `_attachedCount` = 0
`int` | `_service_cached` = 0

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((<class twisted.cred.perspective.IPerspective at 0x85727dc>,),
         <class twisted.protocols.imap4.IAccount at 0x85d9194>,
         <class twisted.protocols.imap4.INamespacePresenter at 0x86c0b14>)

### mailboxes

  Type:
    `NoneType`
  Value:

        None

### subscriptions

  Type:
    `NoneType`
  Value:

        None

### top_id

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net